<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="EUC-JP" omit-xml-declaration="yes" />
  <xsl:template match="/entrylist">
    <xsl:for-each select="entry">
      <div>
        <xsl:if test="position() mod 2=1"><!-- 現在位置を2で割った余りが1、つまり、奇数行ならば。 -->
          <xsl:attribute name="class">newsline_hi</xsl:attribute><!-- class属性に"newsline_hi"を設定。 -->
        </xsl:if>
        <xsl:if test="position() mod 2=0"><!-- 現在位置を2で割った余りが1、つまり、偶数行ならば。 -->
          <xsl:attribute name="class">newsline_lo</xsl:attribute><!-- class属性に"newsline_lo"を設定。 -->
        </xsl:if>
        
        <span class="news_date">[<xsl:value-of select="@date" />]</span>
        <span class="news_title"><xsl:value-of select="title" disable-output-escaping="yes" />
          <xsl:if test="url/text()">
            [<a href="{url}">関連リンク</a>]
          </xsl:if>
        </span>
      </div>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>